Package org.opencv.photo

## Class TonemapReinhard

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.Tonemap
    - - org.opencv.photo.TonemapReinhard

-     public class TonemapReinhard
      extends Tonemap

  This is a global tonemapping operator that models human visual system. Mapping function is controlled by adaptation parameter, that is computed using light adaptation and color adaptation. For more information see CITE: RD05 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TonemapReinhard​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TonemapReinhard` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getColorAdaptation()` |
    `float` | `getIntensity()` |
    `float` | `getLightAdaptation()` |
    `void` | `setColorAdaptation​(float color_adapt)` |
    `void` | `setIntensity​(float intensity)` |
    `void` | `setLightAdaptation​(float light_adapt)` |

    - ### Methods inherited from class org.opencv.photo.Tonemap

      `getGamma, process, setGamma`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TonemapReinhard

          protected TonemapReinhard​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TonemapReinhard __fromPtr__​(long addr)

    - #### getColorAdaptation

          public float getColorAdaptation()

    - #### getIntensity

          public float getIntensity()

    - #### getLightAdaptation

          public float getLightAdaptation()

    - #### setColorAdaptation

          public void setColorAdaptation​(float color_adapt)

    - #### setIntensity

          public void setIntensity​(float intensity)

    - #### setLightAdaptation

          public void setLightAdaptation​(float light_adapt)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tonemap`
      Throws:
        `java.lang.Throwable`